Help Loading BETA OS 4

Discussion in 'iPhone' started by jediistar, May 26, 2010.

  1. jediistar macrumors 6502

    Joined:
    Sep 17, 2007
    #1
    Hey guys, I'm having some trouble loading the BETA onto my phone. When I try to restore using the dmg file, it says that the firmware file is not compatible. I have a 3GS, the file I downloaded from the developer site says the 3GS compatible version. I'm a little puzzled as to what I am doing wrong?!
     
  2. funrush macrumors regular

    Joined:
    Nov 22, 2008
    #2
    Are you sure you're a registered developer. Do you pay 99 dollar a year?
     
  3. andybno1 macrumors 68040

    andybno1

    Joined:
    Nov 6, 2007
    Location:
    Liverpool, UK
    #3
    did you extract the firmware from the dmg file?
     
  4. guicane macrumors regular

    guicane

    Joined:
    Jul 11, 2008
    Location:
    London, UK
    #4
    restore using .dmg?

    the firmware file should be .ipsw, check if that's right. If you downloaded it with safari you might want to try firefox or chrome.

    Also, make sure you download the iPhone2,1 one.

    And ultimately make sure you had your UDID registered by a developer.
     
  5. fishkorp macrumors 68020

    fishkorp

    Joined:
    Apr 10, 2006
    Location:
    Ellicott City, MD
    #5
    Wirelessly posted (Mozilla/5.0 (iPhone; U; CPU iPhone OS 4_0 like Mac OS X; en-us) AppleWebKit/532.9 (KHTML, like Gecko) Version/4.0.5 Mobile/8A274b Safari/6531.22.7)

    Mount the DMG, extract the firmware IPSW out of it, restore from that. I've seen it act weird when restoring from the mounted file and not a local copy sometimes.
     
  6. jediistar thread starter macrumors 6502

    Joined:
    Sep 17, 2007
    #6
    Ok well now I have a more serious problem, I tried to intall OS Beta 4.0 and my UDID hasn't been added to the developer account and I'm not sure how to do it, it said my iphone can't use the software so it effectively killed my iphone. I can't restore it, I've tried half a dozen times and now I'm phoneless!

    Help!

    Until I can get in touch with the developer whose designing the app I am testing, I can't do anything with the phone!
     
  7. andybno1 macrumors 68040

    andybno1

    Joined:
    Nov 6, 2007
    Location:
    Liverpool, UK
  8. maflynn Moderator

    maflynn

    Staff Member

    Joined:
    May 3, 2009
    Location:
    Boston
    #8
    I'd say just restore it back to 3.1 and wait until apple officially releases the OS in a couple (few?) weeks.
     
  9. jediistar thread starter macrumors 6502

    Joined:
    Sep 17, 2007
    #9
    Well obviously I know that now, but I'm at a point where I can't find the UDID because iTunes won't recognize the phone because its giving me an error message saying I need to add the udid. Is there an alternative way to find the UDID so I can load it on the developer site?

    Edit: Nevermind, I added to the Developer site and now I can test finally test out the app!
     
  10. andybno1 macrumors 68040

    andybno1

    Joined:
    Nov 6, 2007
    Location:
    Liverpool, UK
    #10
    I'm guessing by this response you didn't even bother to try that link solution I posted ah well try to be helpful......:rolleyes:
     
  11. pugnut macrumors 6502a

    Joined:
    Jul 1, 2007
    #11
    you need to update via Xcode-- assuming you are a developer and have access to the portal.
     
  12. jbennardo macrumors 6502a

    jbennardo

    Joined:
    Jun 16, 2009
    #12
    I did that the first few times but did b4 via iTunes and it worked fine. I know that's not the suggested method though.

    In other news, it's running great and I'm using it on my main phone - 3GS. And before anyone asks, yes, I paid my $99 and am a developer.
     
  13. andybno1 macrumors 68040

    andybno1

    Joined:
    Nov 6, 2007
    Location:
    Liverpool, UK
    #13
    I never had to use xcode to update to 4.0 for any of the betas, I just installed the SDK then used iTunes.... yes I'm a registered dev
     

Share This Page